StarObjectPageStyleInternal::NoteDesc Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectPageStyleInternal::NoteDesc Struct Reference

structure to store a endnote/footnote page description More...

## Public Member Functions
| NoteDesc (bool isFootnote)
| constructor More...
bool | read (StarZone &zone)
| try to read a noteDesc: '1' or '2' More...

## Public Attributes
bool | m_isFootnote
| a flag to know if this corresponds to a footnote or a endnote More...
float | m_distances [4]
| the width/height/topDist/bottomDist More...
int | m_adjust
| the adjust More...
int | m_penWidth
| the pen's width More...
STOFFColor | m_color
| the color More...

## Friends
std::ostream & | operator<< (std::ostream &o, NoteDesc const &desc)
| operator<< More...

## Detailed Description

structure to store a endnote/footnote page description

## Constructor & Destructor Documentation

## ◆ NoteDesc()

StarObjectPageStyleInternal::NoteDesc::NoteDesc | ( | bool | isFootnote | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ read()

bool StarObjectPageStyleInternal::NoteDesc::read | ( | StarZone & | zone | ) |

try to read a noteDesc: '1' or '2'

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NoteDesc const & | desc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_adjust

int StarObjectPageStyleInternal::NoteDesc::m_adjust

the adjust

Referenced by read().

## ◆ m_color

STOFFColor StarObjectPageStyleInternal::NoteDesc::m_color

the color

Referenced by read().

## ◆ m_distances

float StarObjectPageStyleInternal::NoteDesc::m_distances[4]

the width/height/topDist/bottomDist

Referenced by NoteDesc(), and read().

## ◆ m_isFootnote

bool StarObjectPageStyleInternal::NoteDesc::m_isFootnote

a flag to know if this corresponds to a footnote or a endnote

Referenced by read().

## ◆ m_penWidth

int StarObjectPageStyleInternal::NoteDesc::m_penWidth

the pen's width

Referenced by read().

The documentation for this struct was generated from the following file:

- StarObjectPageStyle.cxx